## org.apache.http.impl.auth
Class RFC2617Scheme

    java.lang.Object
      org.apache.http.impl.auth.AuthSchemeBase
          org.apache.http.impl.auth.RFC2617Scheme

All Implemented Interfaces:
  AuthScheme, ContextAwareAuthScheme

Direct Known Subclasses:
  BasicScheme, DigestScheme

    @NotThreadSafe
    public abstract class RFC2617Scheme

extends AuthSchemeBase

Abstract authentication scheme class that lays foundation for all RFC 2617 compliant authentication schemes and provides capabilities common to all authentication schemes defined in RFC 2617.

Since:
  4.0

Constructor Summary
`RFC2617Scheme()` Default constructor for RFC2617 compliant authentication schemes.

Method Summary
`String` `getParameter(String name)` Returns authentication parameter with the given name, if available.
`protected Map<String,String>` `getParameters()` Returns authentication parameters map.
`String` `getRealm()` Returns authentication realm.
`protected void` `parseChallenge(CharArrayBuffer buffer, int pos, int len)`

Methods inherited from class org.apache.http.impl.auth.AuthSchemeBase
`authenticate, isProxy, processChallenge, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.http.auth.AuthScheme
`authenticate, getSchemeName, isComplete, isConnectionBased`

Constructor Detail

### RFC2617Scheme

    public RFC2617Scheme()

  Default constructor for RFC2617 compliant authentication schemes.

Method Detail

### parseChallenge

    protected void parseChallenge(CharArrayBuffer buffer,
                                  int pos,
                                  int len)
                           throws MalformedChallengeException

  Specified by:
    `parseChallenge` in class `AuthSchemeBase`
  Throws:
    `MalformedChallengeException`

### getParameters

    protected Map<String,String> getParameters()

  Returns authentication parameters map. Keys in the map are lower-cased.

  Returns:
    the map of authentication parameters

### getParameter

    public String getParameter(String name)

  Returns authentication parameter with the given name, if available.

  Parameters:
    `name` - The name of the parameter to be returned
  Returns:
    the parameter with the given name

### getRealm

    public String getRealm()

  Returns authentication realm. The realm may not be null.

  Returns:
    the authentication realm

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.